* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

@font-face {
    font-family: norse-bold;
    src: url(/fonts/Norse-Bold.otf);
}

html, body {
    font-family: norse-bold, system-ui, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    height: 100vh;
    display: flex;
}

main {
    height: 100vh;
    display: flex;
    font-size: 1.8rem;
    background-color: rgba(221, 216, 145, 0.1);
}

.backgroundImage {
    height: auto;
    width: 33vw; /* grants 1/3 of the screen to the background image */
    display: flex;
}

.left-side {
    position: relative; /* makes child elements position relative to the parent container */
    height: 100vh;
    display: flex;
    justify-content: center;
}

.logo-container {
    position: absolute;
    top: 70vh;
    height: 10vh;
    width: 33vw;
    background-color:rgb(0,0,0,0.2);
    font-size: 5rem;
    color:rgb(255,255,255,0.8);
    justify-content: center;
    align-items: center;
    display:flex;
}

.odin-logo {
    height: 80%;
    width: auto;
}

.photo-credits {
    position:absolute;
    bottom:1vh;
    font-size: 1rem;
}

.right-side {
    display:flex;
    flex-direction:column;
    width: 66vw;
    height: 100vh;
}

.top-introduction {
    display:flex;
    align-items:flex-end;
    height: 33vh;
    margin: 0px 4vw;
}

.center-form, fieldset {
    height: 33vh;
    width: auto;
    flex-wrap: wrap;
}

fieldset {
    margin-top: 10px;
    border: none;
    padding: 16px 0;
    width: 100%;
    background-color: white;
    box-shadow: 0 2px 4px rgb(207, 206, 206);
}

h2 {
    margin: 1vh 3.8vw;
} 

.bottom-account, button {
    margin-left: 2vw;
    margin-top: 2vh;
}

.bottom-account {
    height: 33vh;
    width: auto;
}

.bottom-account p {
    margin-left: 2vw;
}

.form-row {
    display: flex;
    margin-left: 2vw;
}

.form-element {
    margin: 0 40px 24px;
}

input {
    display: block;
    outline: none;
    padding: 8px; 
    font-size: 1.5rem;
}

label {
    display: block;
    margin-bottom: 0.3rem;
    font-size: 1.5rem;
}

:focus {
    outline: 0;
    box-shadow:0 2px 4px#4a6ac3;
}

input:invalid {
    border: 1px solid #b92326;
}

input:focus:invalid {
    background-color: transparent;
    border: 1px solid #b92326;
}

input:valid {
    border: 1px solid #8BC34A;
    background-color: rgba(139, 195, 74, 0.25);
}



button {
    background-color: #8c654c;
    color: white;
    border: none;
    border-radius: 8px;
    padding: 16px 48px;
    font-size: 16px;
    font-weight: bold;
    box-shadow: 0 2px 4px rgb(207, 206, 206);
}

.signature {
    margin: 12vh 20vw;
}